/**
 * @file server/main.js
 */

import { Meteor } from 'meteor/meteor';
import { Mongo } from "meteor/mongo";
import { WebApp } from "meteor/webapp";

import {
  MeteorUserProcessor,
  ServerLogger,
  MongodbSender,
  TrivialStrategy,
} from "filog";

Meteor.startup(() => {
  const mup = new MeteorUserProcessor();
  const sender = new MongodbSender(Mongo);
  const strategy = new TrivialStrategy(sender);
  global.logger = new ServerLogger(strategy, WebApp);
  global.logger.processors.push(mup);
});

Meteor.methods({
  "serverlog": (level, message, details) => {
    return global.logger.log(level, message, details);
  },
});
